## org.gnu.gdk
Class Bitmap

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gdk.Drawable
                  org.gnu.gdk.Bitmap

public class Bitmap
extends Drawable

Constructor Summary
`Bitmap(byte[] data, int width, int height)` Creates a new `Bitmap` from data in XBM format.
`Bitmap(org.gnu.glib.Handle handle)`
`Bitmap(Window window, byte[] data, int width, int height)` Creates a new `Bitmap` from data in XBM format.

Methods inherited from class org.gnu.gdk.Drawable

`drawArc, drawArc, drawDrawable, drawDrawable, drawGlyphs, drawGlyphs, drawGrayImage, drawGrayImage, drawImage, drawImage, drawIndexedImage, drawIndexedImage, drawLayout, drawLayout, drawLayoutLine, drawLayoutLine, drawLayoutLineWithColors, drawLayoutLineWithColors, drawLayoutWithColors, drawLayoutWithColors, drawLine, drawLine, drawLines, drawLines, drawPixbuf, drawPixbuf, drawPoint, drawPoint, drawPoints, drawPoints, drawPolygon, drawPolygon, drawRectangle, drawRectangle, drawRGB32Image, drawRGB32Image, drawRGB32ImageDitherAlign, drawRGB32ImageDitherAlign, drawRGBImage, drawRGBImage, drawRGBImageDitherAlign, drawRGBImageDitherAlign, drawSegments, drawSegments, getClipRegion, getColormap, getDepth, getDisplay, getHeight, getImage, getScreen, getSize, getType, getVisibleRegion, getVisual, getWidth, setColormap`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bitmap

    public Bitmap(org.gnu.glib.Handle handle)

### Bitmap

    public Bitmap(Window window,
                  byte[] data,
                  int width,
                  int height)

  Creates a new `Bitmap` from data in XBM format.

### Bitmap

    public Bitmap(byte[] data,
                  int width,
                  int height)

  Creates a new `Bitmap` from data in XBM format.